Package ch.qos.logback.core.pattern.parser

## Class Parser<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.pattern.parser.Parser<E>

All Implemented Interfaces:
  `ContextAware`

    public class Parser<E>
    extends ContextAwareBase

### Field Summary

Fields
`static java.util.Map<java.lang.String,​java.lang.String>` `DEFAULT_COMPOSITE_CONVERTER_MAP`
`static java.lang.String` `MISSING_RIGHT_PARENTHESIS`
`static java.lang.String` `REPLACE_CONVERTER_WORD`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`Parser​(java.lang.String pattern)`
`Parser​(java.lang.String pattern, IEscapeUtil escapeUtil)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Converter<E>` `compile​(Node top, java.util.Map converterMap)` When the parsing step is done, the Node list can be transformed into a converter chain.
`Node` `parse()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MISSING_RIGHT_PARENTHESIS

    public static final java.lang.String MISSING_RIGHT_PARENTHESIS

See Also:
  Constant Field Values

#### DEFAULT_COMPOSITE_CONVERTER_MAP

    public static final java.util.Map<java.lang.String,​java.lang.String> DEFAULT_COMPOSITE_CONVERTER_MAP

#### REPLACE_CONVERTER_WORD

    public static final java.lang.String REPLACE_CONVERTER_WORD

See Also:
  Constant Field Values

### Constructor Detail

#### Parser

    public Parser​(java.lang.String pattern)
           throws ScanException

Throws:
  `ScanException`

#### Parser

    public Parser​(java.lang.String pattern,
                  IEscapeUtil escapeUtil)
           throws ScanException

Throws:
  `ScanException`

### Method Detail

#### compile

    public Converter<E> compile​(Node top,
                                java.util.Map converterMap)

When the parsing step is done, the Node list can be transformed into a converter chain.

Parameters:
  `top` -
  `converterMap` -
Returns:
Throws:
  `ScanException`

#### parse

    public Node parse()
               throws ScanException

Throws:
  `ScanException`